<?
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* Multi-Moteur de Recherche                                            */
/* -------------------------                                            */
/*                                                                      */
/* Version 1.0 - 19 Avril 2005                                          */
/* --------------------------                                           */
/*                                                                      */
/* Sur une ide de Phenixinfo                                           */
/*                                                                      */
/* Script original de Justin Boyan, jab+j@cs.cmu.edu                    */
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

global $language;
if(file_exists("modules/mmr/lang/mmr-".$language.".php")) { include_once("modules/mmr/lang/mmr-".$language.".php"); } else { include_once("modules/mmr/lang/mmr-french.php"); }

$content = "<script _base_target=\"news_\">\n";
$content .= "// All code in this script is Copyright(C) 1996, Justin Boyan, jab+j@cs.cmu.edu\n\n";
$content .= "// For documentation and more info, see:  http://www.cs.cmu.edu/~jab/snark/\n\n";
$content .= "// This is SNARK Version 1.0, 18 May 1996\n\n";
$content .= "<!-- hide this script from non-JavaScript browsers\n\n";
$content .= "var MAX_ENGINES = 30;\n";
$content .= "var SNARK_STRING = \"hunting+the+snark\";\n";
$content .= "function MakeArray(n) {\n";
$content .= "for (var i = 1; i <= n; i++) {\n";
$content .= "this[i] = 0;\n";
$content .= "}\n";
$content .= "this.maxlen = n;\n";
$content .= "this.len = 0;\n";
$content .= "return this;\n";
$content .= "}\n";
$content .= "var engs = MakeArray(MAX_ENGINES);\n";
$content .= "function find_substring(needle, haystack) {\n";
$content .= "var i, needlen = needle.length, haylen = haystack.length;\n";
$content .= "for (i=0; i<=haylen-needlen; i++) {\n";
$content .= "if (needle == haystack.substring(i,i+needlen))\n";
$content .= "return i;\n";
$content .= "}\n";
$content .= "return false;\n";
$content .= "}\n";
$content .= "function Engine(name, opts, home, search) {\n";
$content .= "var snark = find_substring(SNARK_STRING, search);\n";
$content .= "this.name = name;\n";
$content .= "this.opts = opts;\n";
$content .= "this.home = home;\n";
$content .= "this.pre_snark = search.substring(0,snark);\n";
$content .= "this.post_snark= search.substring(snark+SNARK_STRING.length, search.length);\n";
$content .= "}\n";
$content .= "function Add(name, opts, home, search) {\n";
$content .= "engs.len++;\n";
$content .= "if (engs.len <= engs.maxlen) {\n";
$content .= "engs[engs.len] = new Engine(name, opts, home, search)\n";
$content .= "}\n";
$content .= "else {\n";
$content .= "alert(\"Better increase MAX_ENGINES: \" + engs.len + \">\" + engs.maxlen)\n";
$content .= "}\n";
$content .= "}\n\n";
$content .= "Add(\"Altavista\", \"\",\n";
$content .= "\"http://www.altavista.com\",\n";
$content .= "\"http://www.altavista.com/cgi-bin/query?pg=q&kl=XX&q=hunting+the+snark&search=Search\"  );\n";
$content .= "Add(\"Excite France\", \"\",\n";
$content .= "\"http://www.excite.fr\",\n";
$content .= "\"http://www.excite.fr/search.gw?lang=fr&look=excite_fr&search=hunting+the+snark&c=web.frnp\" );\n";
$content .= "Add(\"Francite <Francophone>\", \"\",\n";
$content .= "\"http://www.francite.com\",\n";
$content .= "\"http://recherche.francite.com/cgi-win/recherche.exe?name=hunting+the+snark&voir=webquebec&cs=iso-8859-1&bd=francite\" );\n";
$content .= "Add(\"Google\", \"\",\n";
$content .= "\"http://www.google.com/intl/fr/\",\n";
$content .= "\"http://www.google.com/search?q=hunting+the+snark&num=10&meta=hl%3Dfr%26lr%3D&safe=off&btnG=Recherche+Google\" );\n";
$content .= "Add(\"Lycos\", \"\",\n";
$content .= "\"http://www.lycos.fr\",\n";
$content .= "\"http://www.lycos.fr/cgi-bin/pursuit?matchmode=and&mtemp=main&etemp=error&loc=searchbox&adv=1&query=hunting+the+snark&cat=fr&x=54&y=13\" );\n";
$content .= "Add(\"Msn\", \"\",\n";
$content .= "\"http://www.msn.fr\",\n";
$content .= "\"http://search.msn.fr/results.asp?RS=on&FORM=MSNH&v=1&un=doc&CY=fr&q=hunting+the+snark\" );\n";
$content .= "Add(\"Nomade\", \"\",\n";
$content .= "\"http://www.nomade.fr\",\n";
$content .= "\"http://rechercher.nomade.tiscali.fr/recherche.asp?DB=w&opt=0&MT=hunting+the+snark&page=NOMADE&subpage=recherche%2Easp&avc=&SRC=\" );\n";
$content .= "Add(\"Voila\", \"\",\n";
$content .= "\"http://www.voila.fr\",\n";
$content .= "\"http://search.ke.voila.fr/S/voila?dt=*&kw=hunting+the+snark\" );\n";
$content .= "Add(\"Yahoo France\", \"\",\n";
$content .= "\"http://www.yahoo.fr\",\n";
$content .= "\"http://search.yahoo.fr/search/fr?p=hunting+the+snark\" );\n\n";
$content .= "function HandleForm(form) {\n";
$content .= "var i, oldq=form.query.value, newq=\"\";\n";
$content .= "for (i=0; i<oldq.length; i++) {  // compress [ ]+ into \+\n";
$content .= "var thischar = oldq.charAt(i);\n";
$content .= "if (thischar != ' ')\n";
$content .= "newq += thischar;\n";
$content .= "else if (lastchar != ' ')\n";
$content .= "newq += '+';\n";
$content .= "lastchar = thischar;\n";
$content .= "}\n";
$content .= "var eng = engs[1+form.service.selectedIndex];\n";
$content .= "var url = newq ? eng.pre_snark + newq + eng.post_snark : eng.home;\n";
$content .= "window.open(url,\"\",\"\");\n";
$content .= "}\n";
$content .= "function DisplayForm() {\n";
$content .= "var ie4up = (document.all) ? 1 : 0;\n";
$content .= "var ns6up = (document.getElementById&&!document.all) ? 1 : 0;\n\n";
$content .= "if (ie4up)\n";
$content .= "{\n";
$content .= "var mmrForm = \"document.all['mmr']\";\n";
$content .= "}\n";
$content .= "else if (ns6up)\n";
$content .= "{\n";
$content .= "var mmrForm = \"document.getElementById('mmr')\";\n";
$content .= "}\n\n";
$content .= "document.writeln('<center><FORM name=\"mmr\" id=\"mmr\" onsubmit=\"return false;\">');\n";
$content .= "document.writeln('<SELECT name=\"service\" class=\"TEXTBOX_STANDARD\">');\n";
$content .= "for (i=1; i <= engs.len; i++) {\n";
$content .= "document.writeln(\"<OPTION \" + engs[i].opts + \" > \" + engs[i].name);\n";
$content .= "}\n";
$content .= "document.writeln('</SELECT> <br><INPUT size=12 name=\"query\" class=\"TEXTBOX_STANDARD\">') ;\n";
$content .= "document.writeln('<input type=submit value=\"".mmr_translate("Cherche")."!\" onclick=\"HandleForm(' + mmrForm + ');\" class=\"TEXTBOX_STANDARD\"></form></center>');\n";
$content .= "}\n";
$content .= "DisplayForm();\n";
$content .= "// done hiding from old browsers -->\n";
$content .= "</script>\n";
?>